<marlin xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://ilcsoft.desy.de/marlin/marlin.xsd">
<execute>
    <processor name="ProgressProcessor" />    
    <processor name="WireChamberCalibrationProcessor"/>
    <processor name="WireChamberLayerTester" />
    <!--<processor name="OutputProcessor"/>--> 
</execute>

<global>
    <parameter name="LCIOInputFiles"> /afs/cern.ch/eng/clic/work/DHCAL/LCIO/dhcLcio-Run660525.slcio /afs/cern.ch/eng/clic/work/DHCAL/LCIO/dhcLcio-Run660339.slcio /afs/cern.ch/eng/clic/work/DHCAL/LCIO/dhcLcio-Run660215.slcio /afs/cern.ch/eng/clic/work/DHCAL/LCIO/dhcLcio-Run660224.slcio /afs/cern.ch/eng/clic/work/DHCAL/LCIO/dhcLcio-Run660228.slcio /afs/cern.ch/eng/clic/work/DHCAL/LCIO/dhcLcio-Run660254.slcio /afs/cern.ch/eng/clic/work/DHCAL/LCIO/dhcLcio-Run660239.slcio /afs/cern.ch/eng/clic/work/DHCAL/LCIO/dhcLcio-Run660550.slcio /afs/cern.ch/eng/clic/work/DHCAL/LCIO/dhcLcio-Run660507.slcio</parameter>
    <!-- limit the number of processed records (run+evt): -->  
    <parameter name="MaxRecordNumber" value="2000000" />  
    <parameter name="SkipNEvents" value="0" />  
    <parameter name="SupressCheck" value="false" />  
    <parameter name="GearXMLFile"> </parameter>  
    <parameter name="Verbosity" options="DEBUG0-4,MESSAGE0-4,WARNING0-4,ERROR0-4,SILENT"> MESSAGE </parameter> 
    <parameter name="RandomSeed" value="1234567890" />
</global>

<processor name="ProgressProcessor" type="DhcalProgressProcessor">
    <parameter name="Interval" value="100000" />
</processor>


<processor name="WireChamberCalibrationProcessor" type="WireChamberCalibrationProcessor">
    <parameter name="InputCollection"> WireChamberRawHits </parameter>
    <parameter name="OutputCollection"> CalibratedWireChamberHits </parameter>
    <parameter name="HorizontalSlopes"> -0.175409596771 -0.174984287744 -0.178103142033 </parameter>
    <parameter name="VerticalSlopes"> 0.177104401967 0.175526548895 0.176354302908 </parameter>
    <parameter name="HorizontalResolutions"> 0.60 0.60 0.60 </parameter>
    <parameter name="VerticalResolutions"> 0.52 0.52 0.52 </parameter>
	<parameter name="XPositions"> -3.47433 -3.989204 -0.3459 </parameter>
    <parameter name="YPositions"> -2.63694 -2.29798 -1.2189 </parameter>
    <parameter name="ZPositions"> -374.5 -807.4 -1244.2 </parameter>
    <parameter name="Verbosity" > SILENT </parameter> 
</processor>

<processor name="WireChamberLayerTester" type="WireChamberLayerTester">
	<parameter name="FitBounds" > 4 </parameter>
	<parameter name="Title" > 0 </parameter>
	<parameter name="Verbosity" > SILENT </parameter>
</processor>

<processor name="OutputProcessor" type="LCIOOutputProcessor">
    <!--Writes the current event to the specified LCIO outputfile. Needs to be the last ActiveProcessor.-->
    <!-- name of output file -->
    <parameter name="LCIOOutputFile" type="string"> wireChamberCalibTest.slcio </parameter>
    <!--write mode for output file:  WRITE_APPEND or WRITE_NEW-->
    <parameter name="LCIOWriteMode" type="string"> WRITE_NEW </parameter>
</processor>

</marlin>
